Subject: bug#45453: closed (Re: Error when I try to build a package using a JSON definition)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Dec 2020 11:09:02 +0000

Your bug report

#45453: Error when I try to build a package using a JSON definition

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45453: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45453
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Error when I try to build a package using a JSON definition
From: Ricardo Wurmus <[email-masked]>
To: Ryan Prior <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Dec 2020 12:08:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> I’ll change this to use the Guixy license names first, and only fall
> back to SPDX names when that fails.  And there should be a proper error
> message, of course.

This is now fixed with commit 5aae614868.

-- 
Ricardo

Subject: Error when I try to build a package using a JSON definition
From: Ryan Prior <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Sun, 27 Dec 2020 00:38:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix! Today I wrote a package in Guile and then decided to try and
reproduce the same thing using JSON, but I hit a snag. I'm attaching
the package definition in its Guile and JSON forms, along with the error
I get when I try to build the package using `guix build -f countdown.json'.

Any idea what the issue here is or how I should go about debugging?

Thank you!
Ryan